find.adaptive.basis {waveslim} | R Documentation

## Determine an Orthonormal Basis for the Discrete Wavelet Packet Transform

### Description

Subroutine for use in simulating seasonal persistent processes using the discrete wavelet packet transform.

### Usage

    find.adaptive.basis(wf, J, fG, eps)

### Arguments

`wf` | Character string; name of the wavelet filter.
`J` | Depth of the discrete wavelet packet transform.
`fG` | Gegenbauer frequency.
`eps` | Threshold for the squared gain function.

### Details

The squared gain functions for a Daubechies (extremal phase or least asymmetric) wavelet family are used in a filter cascade to compute the value of the squared gain function for the wavelet packet filter at the Gengenbauer frequency. This is done for all nodes of the wavelet packet table.

The idea behind this subroutine is to approximate the relationship between the discrete wavelet transform and long-memory processes, where the squared gain function is zero at frequency zero for all levels of the DWT.

### Value

Boolean vector describing the orthonormal basis for the DWPT.

### Author(s)

B. Whitcher

### See Also

Used in `dwpt.sim`.

[Package waveslim version 1.7.5.1 Index]